local_backend: true

backend:
  name: git-gateway
  branch: master # Branch to update (optional; defaults to master)

# This line should *not* be indented
media_folder: "/img/uploads" # Media files will be stored in the repo under images/uploads

collections:
  - label: "Post" # Used in the UI
    name: "post" # Used in routes, e.g., /admin/collections/blog
    folder: "/posts" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{year}}-{{month}}-{{day}}_{{title}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - {label: "Layout", name: "layout", widget: "hidden", default: "layouts/post.njk"}
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Date", name: "date", widget: "datetime", default: "date_format"}
      - {label: "Country", name: "country", widget: "string"}
      - {label: "Thumbnail", name: "thumbnail", widget: "image"}
      - {label: "Summary", name: "summary", widget: "text"}
      - {label: "templateClass", name: "templateClass", widget: "hidden", default: "tmpl-post"}
      - {label: "Body", name: "body", widget: "markdown"}